For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Returns users matching the given search criteria

get

Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored.

The returned users satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 users is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
userIdstring[]Optional

The list of user IDs to look for. The query parameter must be passed for each user ID.

namestringOptional

The name of the user. The search will take place in the fields specified by the 'nameSearchFields' parameter.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organization department to which the user belongs.

groupIdstring · uuidOptional

The ID of the group the searched users should belong to.

onlyLoggedInbooleanOptional

Whether only currently logged in users should be returned.

includeDisabledbooleanOptional

Whether disabled users should be included in the search results.

sortOrderstring · enumOptional

The order of sorting.

Default: ASCPossible values:
sortFieldstring · enumOptional

The field for sorting.

Default: USERNAMEPossible values:
Responses
200

Users successfully retrieved

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/users
200

Users successfully retrieved

Adds a new user

post

Adds a new user. The username can contain only unicode printable characters and cannot contain leading and trailing spaces.

Authorizations
AuthorizationstringRequired
Body
userNamestring · min: 1 · max: 255Required

The username, which should be unique

firstNamestringOptional

The first name of the new user

lastNamestringOptional

The last name of the new user

emailAddressstring · min: 1 · max: 255Required

The e-mail address of the new user

genderstring · enumOptional

The gender of the user

Possible values:
titlestring · max: 255Optional

The organizational title of the user

departmentstring · max: 255Optional

The organizational department of the user

languagestringOptional

The language for the user

userGroupIdsstring · uuid[]Optional

The groups this newly created user should be added to

licenseTypestring · enumOptionalDeprecated

The license type of the user. This represents the given license which is no longer used.

Possible values:
Responses
201

User successfully added.

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
post/users
201

User successfully added.

Add a user to multiple user groups

post

Add a user to multiple user groups

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user

Body
userIdstring · uuidRequired

The ID of the user who should be assigned to user groups. Silently ignored if the ID is provided as path parameter of the request

userGroupIdsstring · uuid[] · min: 1 · max: 2147483647Required

The list of IDs of the user groups which the user should be assigned to

Responses
200

User successfully added to the indicated groups.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
locallyManagedbooleanOptional
post/users/{userId}/userGroups

Sets user groups for the indicated user

put

Sets user groups for the indicated user

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user

Body
userGroupIdsstring · uuid[]Required

The list of IDs of the user groups which the user should be assigned to. This is a required parameter.

Responses
200

User groups set successfully

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
put/users/{userId}/userGroups

Removes user from multiple user groups

delete

Removes user from multiple user groups

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

The ID of the user

Body
userIdstring · uuidRequired

The ID of the user who should be removed from user groups. Silently ignored if the ID is provided as path parameter of the request

userGroupIdsstring · uuid[] · min: 1 · max: 2147483647Required

The list of IDs of the user groups which the user should be removed from

Responses
204

User successfully removed from user groups

No content

delete/users/{userId}/userGroups

No content

Adds multiple new users

post

Adds multiple new users. The username can contain only unicode printable characters and cannot contain leading and trailing spaces.

Authorizations
AuthorizationstringRequired
Bodyobject · AddUserRequest[]
userNamestring · min: 1 · max: 255Required

The username, which should be unique

firstNamestringOptional

The first name of the new user

lastNamestringOptional

The last name of the new user

emailAddressstring · min: 1 · max: 255Required

The e-mail address of the new user

genderstring · enumOptional

The gender of the user

Possible values:
titlestring · max: 255Optional

The organizational title of the user

departmentstring · max: 255Optional

The organizational department of the user

languagestringOptional

The language for the user

userGroupIdsstring · uuid[]Optional

The groups this newly created user should be added to

licenseTypestring · enumOptionalDeprecated

The license type of the user. This represents the given license which is no longer used.

Possible values:
Responses
201

Users successfully added.

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
post/users/bulk
201

Users successfully added.

Gets the user with the given ID

get

Gets the user with the given ID

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

The ID of the user

Responses
200

User successfully retrieved

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
get/users/{userId}

Deletes the user with the given ID

delete

Deletes the user with the given ID

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user to be deleted

Responses
204

User successfully deleted

No content

delete/users/{userId}

No content

Changes the user with the information that is present in the request

patch

Only properties that are specified in this request and have non-null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user to be changed

Body
enabledbooleanOptional

The new enabled flag for the user

usernamestringOptional

The new username for the user

firstNamestringOptional

The new first name for the user

lastNamestringOptional

The new last name for the user

emailstring · min: 1 · max: 2147483647Optional

The new e-mail address for the user

genderstring · enumOptional

The new gender for the user

Possible values:
titlestringOptional

The organizational title of the user

departmentstringOptional

The organizational department of the user

languagestringOptional

The new language for the user

licenseTypestring · enumOptionalDeprecated

The license type of the user. This represents the given license which is no longer used.

Possible values:
passwordConfirmationstringOptional

The password confirmation for the user when changing their own email.

Responses
200

User successfully changed

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
patch/users/{userId}

Get the avatar image for the user with the given ID

get

Get the avatar image for the user with the given ID

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

The ID of the user to get the avatar for

Query parameters
widthinteger · int32Optional

The width of the returned avatar

heightinteger · int32Optional

The height of the returned avatar

useDefaultbooleanOptional

Set to true to use the default avatar if the user has no avatar

Default: true
Responses
200

Avatar image successfully retrieved

application/json
string · binaryOptional

The image payload.

get/users/{userId}/avatar

Deletes the avatar for the user identified by the given ID

delete

Deletes the avatar for the user identified by the given ID

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user to delete the avatar for

Responses
204

User avatar successfully deleted

No content

delete/users/{userId}/avatar

No content

Changes the avatar for the user identified by the given ID

patch

Changes the avatar for the user identified by the given ID

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user to change the avatar for

Body
fileIdstring · uuidRequired

The ID of the file representing to avatar that should be assigned to the user.

Responses
200

User avatar successfully changed

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
patch/users/{userId}/avatar

Returns the current user, if logged in

get

If the user is not logged in, null is returned

Authorizations
AuthorizationstringRequired
Responses
200

User successfully retrieved

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
get/users/current
200

User successfully retrieved

Returns the current user global permissions, if logged in

get

If the user is not logged in, global permissions of the Guest user are returned

Authorizations
AuthorizationstringRequired
Responses
200

User permissions

application/json
globalPermissionsstring[]Optional
get/users/current/globalPermissions
200

User permissions

Deprecated

Returns the current user global permissions in, if logged in. DEPRECATED: use /current/globalPermissions instead

get

If the user is not logged in, global permissions of the Guest user are returned

Authorizations
AuthorizationstringRequired
Responses
200

User permissions

application/json
globalPermissionsstring[]Optional
get/users/current/permissions
200

User permissions

Deprecated

Gets the user identified by given e-mail address

get

Gets the user identified by given e-mail address. This endpoint will be removed in the future. Plese use GET /users with parameters instead.

Authorizations
AuthorizationstringRequired
Path parameters
emailAddressstringRequired

The e-mail address of the user

Responses
200

User successfully retrieved

application/json

Represents a user in the system.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
userNamestringOptional

The user name.

firstNamestringOptional

The first name of the user.

lastNamestringOptional

The last name of the user.

titlestringOptional

The organizational title of the user.

departmentstringOptional

The organizational department of the user.

emailAddressstringOptional

The main email address.

genderstring · enumOptional

The gender of the user.

Possible values:
languagestringOptional

The current language preference for this user.

activatedbooleanOptional

Whether this user account is already activated or not.

enabledbooleanOptional

Whether this user account is already enabled or not.

ldapUserbooleanOptional

Whether this is an LDAP user or not.

userSourcestring · enumOptionalPossible values:
guestUserbooleanOptional

Whether this is a guest user or not.

apiUserbooleanOptionalDeprecated

Whether this is API user or not. This field is no longer used and will be removed in the future.

licenseTypestring · enumOptionalDeprecated

This field represents the given license which is no longer used, so the method no longer returns useful data and will be removed in the future. To retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType

Possible values:
get/users/email/{emailAddress}

Gets the license type in effect for the user

get

The user's effective license type depends on which pricebook version is in effect and will usually reflect the user's assigned permissions, but may also take into account other factors such as a user's workflow participation in some pricebook versions.

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user

Responses
200

Effective license type successfully retrieved or an empty string. Never null.

application/json
string · enumOptionalPossible values:
get/users/{userId}/effectiveLicenseType
Deprecated

Gets the required LicenseType for the given user

get

Gets the required LicenseType for the given user based on their assigned permissions.

Authorizations
AuthorizationstringRequired
Path parameters
userIdstring · uuidRequired

the ID of the user

Responses
200

LicenseType successfully retrieved

application/json
string · enumOptionalPossible values:
get/users/{userId}/licenseType

Last updated

Was this helpful?